package com.idiot.operationbackend.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.idiot.operationbackend.entity.Account;
import com.idiot.operationbackend.mappers.AccountMapper;
import com.idiot.operationbackend.service.facade.AccountService;
import org.springframework.stereotype.Service;

import java.util.Objects;

/**
 * @author wang xiao
 * @date Created in 17:56 2020/9/10
 */
@Service
public class AccountServiceImpl extends ServiceImpl<AccountMapper, Account>
        implements AccountService {

    @Override
    public boolean saveOrUpdateAccount(Account account) {
        Account temp = getOne(Wrappers.<Account>lambdaQuery().eq(Account::getAuthorizerAppId,account.getAuthorizerAppId()));
        if (Objects.isNull(temp)) {
            return save(account);
        }else {
            account.setId(temp.getId());
            return saveOrUpdate(account);
        }
    }
}
